---
lang: en
title: 'API docs: pooling.poolingservice.destroy'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolingservice.destroy.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolingService](./pooling.poolingservice.md) &gt; [destroy](./pooling.poolingservice.destroy.md)

## PoolingService.destroy() method

Destroy a resource from the pool

**Signature:**

```typescript
destroy(resource: T): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  resource | T | Resource instance to be destroyed |

**Returns:**

Promise&lt;void&gt;


